[wmf.12] ⧼cx-error-page-not-found⧽ for translating from jawiki
Closed, ResolvedPublic

Description

The specific article that produces ⧼cx-error-page-not-found⧽ was reported in cx-error-page-not-found topic.

Start translating an article from jawiki to cawiki the article https://ja.wikipedia.org/wiki/%E6%98%9F%E3%81%AB%E9%A1%98%E3%81%84%E3%82%92%E3%80%82

ContentTranslation page displays ⧼cx-error-page-not-found⧽:

Request URL: https://cxserver.wikimedia.org/v1/page/ja/%E6%98%9F%E3%81%AB%E9%A1%98%E3%81%84%E3%82%92%E3%80%82
Request Method: GET
Status Code: 404
Page ja:星に願いを。 could not be found. TypeError: Cannot read property 'about' of null

I tried different articles in jawiki: https://ja.wikipedia.org/wiki/%E5%80%89%E7%9F%A5%E9%89%84%E5%90%89 and https://ja.wikipedia.org/wiki/%E6%85%88%E6%81%B5%E5%AE%9F%E6%A5%AD and from zhwiki: https://zh.wikipedia.org/wiki/%E9%BE%99%E5%B1%B1%E9%95%87_(%E9%BE%99%E9%99%B5%E5%8E%BF) and https://zh.wikipedia.org/wiki/%E6%9C%BA%E5%99%A8%E4%BA%BA -- the error is no displayed and translation works as expected.

Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptJul 11 2018, 9:46 PM

Checking in local setup, error is:

Page ja:星に願いを。 could not be found. TypeError: Cannot read property 'about' of null

Change 445634 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Register "cx-error-page-not-found" message for ext.cx.source

https://gerrit.wikimedia.org/r/445634

Petar.petkovic edited projects, added CX-cxserver; removed ContentTranslation.
Petar.petkovic moved this task from Backlog to Article loading on the CX-cxserver board.

Change 445639 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/services/cxserver@master] Fix "Cannot read property 'about' of null" error

https://gerrit.wikimedia.org/r/445639

Change 445639 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Fix "Cannot read property 'about' of null" error

https://gerrit.wikimedia.org/r/445639

Change 445634 merged by Petar.petkovic:
[mediawiki/extensions/ContentTranslation@master] Register messages used in ext.cx.source

https://gerrit.wikimedia.org/r/445634

Petar.petkovic triaged this task as High priority.Jul 17 2018, 4:21 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-19T08:00:27Z] <kartik@deploy1001> Started deploy [cxserver/deploy@fe0d521]: Update cxserver to 92e3d2e (T199380, T199885)

Mentioned in SAL (#wikimedia-operations) [2018-07-19T08:04:25Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@fe0d521]: Update cxserver to 92e3d2e (T199380, T199885) (duration: 03m 58s)

Both issues seems fix. Verified in Production.

Petar.petkovic closed this task as Resolved.Thu, Jul 19, 12:24 PM